Subject: RE: proper version of dll
From: Bernard Dautrevaux <[email-masked]>
To: "'Suhaib Siddiqi'" <[email-masked]>, "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 5 Feb 2002 16:46:09 +0100

> -----Original Message-----
> From: Suhaib Siddiqi [mailto:[email-masked]]
> Sent: Tuesday, February 05, 2002 3:21 PM
> To: [email-masked]'
> Cc: [email-masked]'
> Subject: RE: proper version of dll
> 
> 
> Wrong mailing list,  I forwarded your message to cygwin mailing list
> 
> > 
> > Hello Sir,
> > 
> > I am finding problem with not having the proper version of 
> > cygwin.dll. 
> > If I install the cygwi, from the "www.cygwin.com", I get the 
> > file cygwin1.dll and not cygwin.dll. My application needs cygwin.dll
> > 
> > This is the error I get when I run my application under bash.
> > 
> > Z:\1200\tools\ekmdc_pc.exe: *** cygwin DLL and APP are out of 
> > sync -- DLL version mismatch 17 < 19

Looks like your APP was compile very far ago, back in the heroic cygwin-B17
days 8-0)

The best you can do is recompile it using th eup-to-date cygwin development
environment; it is MUCH more stable than the old B17 one. 

> > 
> > Can you please tell me how can I get the proper version of 
> > the cygwin.dll required for my application.

I'm afraid you can't, if you don't save cygwin-B17 together with the
compiled APP. ;-(

HTH

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/